Bug 246329 - Beagle indexing leaves temporary files in /tmp
Beagle indexing leaves temporary files in /tmp
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: beagle (Show other bugs)
7
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: David Nielsen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-06-30 08:47 EDT by Allan Engelhardt
Modified: 2008-06-16 21:45 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-16 21:45:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Allan Engelhardt 2007-06-30 08:47:48 EDT
Description of problem:

The Beagle indexing demon does not clean up its temporary files after indexing.
 The result is a large number of files matching ‘/tmp/tmp[0-9a-f]*.tmp’
(assuming usual configuration of the temporary directory).  I had over 8,000
such files before I cleaned them out.

Trying to identify the culprit with lsof(8) yields:

$ while sleep 1; do /usr/sbin/lsof +D /tmp 2>/dev/null | grep
'tmp[0-9a-f]*.tmp'; done
beagled-h 11249 allane   34r   REG                8,3      0    98381
/tmp/tmp749fef92.tmp
[repeated]
beagled-h 11249 allane   34r   REG                8,3      0    98383
/tmp/tmpf86afe6.tmp
[repeated]
beagled-h 11249 allane   34w   REG                8,3      0    98458
/tmp/tmp310b767.tmp
[repeated]
beagled-h  5824 allane   28r   REG                8,3  13262    98514
/tmp/tmp28666014.tmp
beagled-h  5824 allane   28r   REG                8,3  22888    98508
/tmp/tmp8a3364.tmp
beagled-h  5824 allane   28r   REG                8,3  27273    98523
/tmp/tmp7441990.tmp
beagled-h  5824 allane   34r   REG                8,3   8181    98510
/tmp/tmp52d8eab9.tmp
beagled-h  5824 allane   34r   REG                8,3   4661    98507
/tmp/tmp19b59659.tmp
[etc]



Version-Release number of selected component (if applicable):

$ rpm -qa | grep -i beagle | sort
beagle-0.2.16.2-5.fc7
beagle-debuginfo-0.2.16.2-5.fc7
beagle-evolution-0.2.16.2-5.fc7
beagle-gui-0.2.16.2-5.fc7
libbeagle-0.2.16.2-5.fc7


How reproducible: Always.


Steps to Reproduce:
1. Enable Beagle indexing.
2. Wait.
3. $ ls /tmp/tmp[0-9a-f]*.tmp
  
Actual results: Lots of files


Expected results: Few or no files


Additional info: Fedora 7 on x86_64
Comment 1 Allan Engelhardt 2007-06-30 08:59:48 EDT
I found the ‘+c 0’ option to lsof(8) and confirmed that the command field is
‘beagled-helper’.
Comment 2 Bug Zapper 2008-05-14 09:21:11 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:
http://docs.fedoraproject.org/release-notes/

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Bug Zapper 2008-06-16 21:45:10 EDT
Fedora 7 changed to end-of-life (EOL) status on June 13, 2008. 
Fedora 7 is no longer maintained, which means that it will not 
receive any further security or bug fix updates. As a result we 
are closing this bug. 

If you can reproduce this bug against a currently maintained version 
of Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.